<style>
  table.table td {
    padding-top: 0.1rem;
    padding-bottom: 0.3rem;
  }
</style>
<div class="container">

  <div>
    <button type="button" class="btn btn-primary" data-toggle="modal" (click)="getParameterConfigDetails()"
            data-target="#add">Add History
    </button>
  </div>

  <div class="row">
    <table class="table table-bordered">
      <thead>
      <tr>

        <th>Event Name</th>
        <th>Cost</th>
        <th>EDIT</th>
        <th>DELETE</th>
      </tr>
      </thead>
      <tbody>
      <tr *ngFor="let history of allVechicleTypeHistory">
        <td>{{history.vechicleEvents}}</td>
        <td>{{history.costOfEvent}}</td>
        <td>
          <button type="button" class="btn btn-primary" data-toggle="modal"
                  (click)="getEditConfiguration(history)" data-target="#edit">Edit
          </button>
        </td>
        <td>
          <button type="button" class="btn btn-primary" data-toggle="modal" data-target="#deleteModal"
                  (click)="intermerdiateDeleteTranasaction(history)">Delete
          </button>
        </td>

      </tr>
      </tbody>
    </table>
  </div>


  <div class="col-md-12  col-sm-12 d-flex justify-content-center" style="margin-top: 10px" >
    <ngb-pagination class="d-flex justify-content-center "
                    [collectionSize]="pagination.totalPageCount"
                    [(page)]="pagination.currentPage" [maxSize]="3"
                    [rotate]="true"
                    [boundaryLinks]="true"
                    (pageChange)="getDataByPageNo($event)"
                    [pageSize]="pagination.recordsPerPage"
                    aria-label="Default pagination">

    </ngb-pagination>
  </div>

</div>

<div id="add" class="modal fade" role="dialog">
  <div class="modal-dialog">

    <!-- Modal content-->
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal">&times;</button>
        <h4 class="modal-title">ADD HISTORY</h4>
      </div>
      <div class="modal-body">
        <app-asset-form [formConfigData]="assetFromConfig" [mainStatusAsset]="mainAsset"
                        [assetParameterConfigName]="assetConfigName"
                        (savedAssetConfig)="savedAssetCardToAssetList($event)"></app-asset-form>
      </div>
     <!-- <div class="modal-footer">
        <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
      </div>-->
    </div>

  </div>
</div>


<!-- Modal -->
<div id="edit" class="modal fade" role="dialog">
  <div class="modal-dialog">

    <!-- Modal content-->
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal">&times;</button>
        <h4 class="modal-title">EDIT HISTORY</h4>
      </div>
      <div class="modal-body">

        <app-asset-edit-from [formConfigData]="assetFromConfig" [mainStatusAsset]="mainAsset"
                             [mainStatusAsset]="mainAsset"
                             [assetId]="assetId" [assetConfigParameterType]="assetConfigParameterType"
                             (updateAssetConfig)="updateAssetCardToAssetList($event)"></app-asset-edit-from>
      </div>
      <!--<div class="modal-footer">
        <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
      </div>-->
    </div>

  </div>
</div>
<!-- The Modal -->
<div class="modal" id="deleteModal">
  <div class="modal-dialog">
    <div class="modal-content">

      <!-- Modal Header -->
      <div class="modal-header">
        <h4 class="modal-title">Delete Conformation</h4>
        <button type="button" class="close" data-dismiss="modal">&times;</button>
      </div>

      <!-- Modal body -->
      <div class="modal-body">
        Are you sure u want to delete this History?
      </div>

      <!-- Modal footer -->
      <div class="modal-footer">
        <button type="button" class="btn btn-danger" data-dismiss="modal"  (click)=" deleteFuelTypeConfiguration(deleteTransactionData)">Delete</button>
        <button type="button" class="btn btn-warning" data-dismiss="modal">Close</button>
      </div>

    </div>
  </div>
</div>
